<?php

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Event\Models\EventVenue;
use EventPortal\Domain\Venue\Models\Venue;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(EventVenue::class, static function () {
    return [
        'venue_id' =>  function () {
            return factory(Venue::class)->create()->id;
        },
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
    ];
});
