<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDelegateFormStepTable extends Migration
{
    public function up(): void
    {
        Schema::create('delegate_form_step', static function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('delegate_id');
            $table->foreign('delegate_id')->references('id')->on('delegates')->onDelete('cascade');
            $table->unsignedInteger('form_step_id');
            $table->foreign('form_step_id')->references('id')->on('form_steps')->onDelete('cascade');

            $table->timestamps();
        });
    }
}
